Name:           perl-Dist-Zilla-Plugin-ReversionOnRelease
Version:        0.06
Release:        6%{?dist}
Summary:        Bump and reversion version on release
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Dist-Zilla-Plugin-ReversionOnRelease
Source0:        https://cpan.metacpan.org/authors/id/M/MI/MIYAGAWA/Dist-Zilla-Plugin-ReversionOnRelease-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(:VERSION) >= 5.8.5
BuildRequires:  perl(Module::Build::Tiny) >= 0.034
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
# This is a Dist::Zilla plugin
BuildRequires:  perl(Dist::Zilla) >= 4.2
BuildRequires:  perl(Dist::Zilla::Role::FileMunger)
BuildRequires:  perl(Dist::Zilla::Role::FileFinderUser)
BuildRequires:  perl(Moose)
BuildRequires:  perl(version)
BuildRequires:  perl(Version::Next) >= 0.002
# Tests:
BuildRequires:  perl(Test::DZil)
BuildRequires:  perl(Test::More) >= 0.88
# Test::Pod 1.41 not used
# Optional tests:
BuildRequires:  perl(Dist::Zilla::Plugin::VersionFromModule)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
# This is a Dist::Zilla plugin
Requires:       perl(Dist::Zilla) >= 4.2
Requires:       perl(Dist::Zilla::Role::FileMunger)
Requires:       perl(Dist::Zilla::Role::FileFinderUser)
Requires:       perl(Version::Next) >= 0.002

# Remove under-specified dependenices
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(Version::Next\\)$

%description
This is a Dist::Zilla plugin that bumps version (a la perl-reversion -bump)
in-place with the .pm files inside lib. You should most likely use this
plugin in combination with Dist::Zilla::Plugin::VersionFromModule so that
current VERSION is taken out of your main module, and then the released
file is written back after the release with
Dist::Zilla::Plugin::CopyFilesFromRelease.

%prep
%setup -q -n Dist-Zilla-Plugin-ReversionOnRelease-%{version}

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=$RPM_BUILD_ROOT --create_packlist=0
%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.06-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jun 30 2018 Jitka Plesnikova <jplesnik@redhat.com> - 0.06-5
- Perl 5.28 rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.06-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.06-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Jun 06 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.06-2
- Perl 5.26 rebuild

* Thu Mar 23 2017 Petr Pisar <ppisar@redhat.com> 0.06-1
- Specfile autogenerated by cpanspec 1.78.
